[arch-commits] Commit in rt2x00-rt71w-fw/trunk (PKGBUILD)

Giovanni Scafora giovanni at archlinux.org
Mon Nov 23 16:13:35 EST 2009


    Date: Monday, November 23, 2009 @ 16:13:35
  Author: giovanni
Revision: 59434

upgpkg: rt2x00-rt71w-fw 1.8-4
    Switched to arch any

Modified:
  rt2x00-rt71w-fw/trunk/PKGBUILD

----------+
 PKGBUILD |   23 ++++++++++++++---------
 1 file changed, 14 insertions(+), 9 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-23 20:56:30 UTC (rev 59433)
+++ PKGBUILD	2009-11-23 21:13:35 UTC (rev 59434)
@@ -1,17 +1,22 @@
 # $Id$
-# Maintainer: Tom Killian <tom at archlinux.org>
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+# Contributor: Giovanni Scafora <giovanni at archlinux.org>
 
 pkgname=rt2x00-rt71w-fw
 pkgver=1.8
-pkgrel=3
+pkgrel=4
 pkgdesc="Firmware for the rt2x00 wireless drivers"
-arch=(i686 x86_64)
-url="http://www.ralinktech.com/ralink/Home/Support/Linux.html"
-license=('RALINK')
-source=(http://www.ralinktech.com.tw/data/RT71W_Firmware_V${pkgver}.zip)
+arch=('any')
+url="http://www.ralinktech.com/"
+license=('custom')
+depends=()
+source=(ftp://ftp.archlinux.org/other/rt2x00-rt71w-fw/RT71W_Firmware_V${pkgver}.zip)
+md5sums=('1e7a5dc574e0268574fcda3fd5cf52f7')
 
 build() {
-  cd $startdir/src/RT71W_Firmware_V${pkgver}
-  install -Dm644 rt73.bin $startdir/pkg/lib/firmware/rt73.bin || return 1
+  cd "${srcdir}/RT71W_Firmware_V${pkgver}"
+  # Install firmware
+  install -D -m 644 rt73.bin "${pkgdir}/lib/firmware/rt73.bin" || return 1
+  # Install license
+  install -D -m 644 LICENSE.ralink-firmware.txt "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE" || return 1
 }
-md5sums=('1e7a5dc574e0268574fcda3fd5cf52f7')



More information about the arch-commits mailing list